/*
Theme Name:   Voxel (child theme)
Theme URI:    https://getvoxel.io/
Author:       27collective
Author URI:   https://27collective.net/
Template:     voxel
Version:      1.0
Text Domain:  voxel-child
*/

* { /* removing elementor default transition to everything */
  transition: none !important;
}

.visually-hidden { /* still accessible to screenreaders */
  position: absolute;
	position: absolute !important;
	width: 1px !important;
	height: 1px !important;
	padding: 0 !important;
	margin: -1px !important;
	overflow: hidden !important;
	clip: rect(0,0,0,0) !important;
	white-space: nowrap !important;
	border: 0 !important;
}


.page-content > * {
  font-family: korolev, sans-serif !important;
}

span.helpline{
  color: #FEF001;
}

span.helpline a{
  color: inherit;
}

.elementor-widget-text-editor ul{
  margin-bottom: 0.9rem !important;
}

/* Custom Formidable Forms styles -- PKOL quiz */

.frm_style_pkol-quiz.with_frm_style .frm_primary_label{
  text-align: center !important;
}

.frm_style_pkol-quiz .frm_display_format_buttons .frm_opt_container{
  grid-gap: 20px !important;
}

.frm_style_pkol-quiz.with_frm_style a.frm_start_over{
  color: #111111;
  text-decoration: underline;
}

.frm_style_pkol-quiz.with_frm_style a.frm_start_over:hover{
  text-decoration: none;
}

.frm_style_pkol-quiz.with_frm_style .frm_submit button{
  display: none;
}

.frm_style_pkol-quiz ul.frm_page_bar{
  justify-content: center;
}

.frm_style_pkol-quiz ul.frm_page_bar li{
  flex: 0;
  min-width: 32px;
}

.frm_style_pkol-quiz.frm_forms .frm_rootline.frm_no_numbers input{
  background-color: transparent;
  border: 2px solid white;
}

/* Custom Styles for Resource Finder - by Imaginary Office */

.print-only {
  display: none;
}

.rf-intro a {
  color: white !important;
}
    /* hide weglot on tool pages */
    .page-id-1019 .weglot-dropdown, .page-id-1217 .weglot-dropdown { display: none !important; }

.tinytip { font-size: .75rem; text-transform: uppercase; color:var(--e-global-color-primary); display: block; letter-spacing: .5px; }

.popup h3 {
  font-size:1.5rem !important;
}
button.clipboard, button.print {
    background-color: transparent !important;
    color: var(--e-global-color-primary) !important;
    border: none !important;
    font-weight: 500 !important;
    padding: 0 !important;
}

.fwpl-item.el-spfday .fwpl-btn { padding: 0 !important; }
.fwpl-item.btn-view-details .fwpl-btn:hover { border: 5px solid #ffba05 !important; background:transparent !important; }
.fwpl-result { justify-content: space-between; }

.single-service_locations .post-tags,
.single-service_locations_es .post-tags {
  margin-bottom: 40px;
}
.single-service_locations .contact_info,
.single-service_locations_es .contact_info {
  list-style: none;
  padding-left: 0;
}

.single-service_locations .contact_info li,
.single-service_locations_es .contact_info li {
  margin-bottom: 8px;
}
.single-service_locations.elementor-kit-7 h1,
.single-service_locations_es.elementor-kit-7 h1 {
  font-size: 3rem; 
  line-height: 3rem; 
}


.single-service_locations h3,
.single-service_locations_es h3 {
  text-transform: none !important;
  margin-bottom: 0 !important;
  line-height: 28px !important;
}

.single-service_locations ul.services,
.single-service_locations_es ul.services {
  margin-top: 40px;
}

.single-service_locations ul.services li,
.single-service_locations_es ul.services li {
  margin-bottom: 24px;
}

.single-service_locations .alert,
.single-service_locations_es .alert {
  color: #E20368; 
  font-size: 16px;
  line-height: 26px;
  margin-top: 8px;
}

.single-service_locations .fineprint,
.single-service_locations_es .fineprint  { display: none; margin-bottom: 24px; padding-bottom: 20px;}

.single-service_locations .fineprint .alert,
.single-service_locations_es .fineprint .alert { margin-top: 20px; font-size: 14px; }

.single-service_locations .alert a,
.single-service_locations_es .alert a {
  color: #E20368 !important; 
  text-decoration: underline !important;
}

.single-service_locations .fineprint div.row,
.single-service_locations_es .fineprint div.row { 
  font-size: 14px;
  margin-bottom: 7px;
  line-height: 22px;
  border-top: 1px solid #bbb;
  color: #666;
  padding-top: 10px;
  margin-left: 12px;
  display: flex; 
}

.single-service_locations .fineprint div .col1,
.single-service_locations_es .fineprint div .col1 {
  flex: 1 1 0;
  font-weight: bold;
}

.single-service_locations .fineprint div .col2,
.single-service_locations_es .fineprint div .col2 {
  flex: 3 1 0;
}

.single-service_locations .toggle,
.single-service_locations_es .toggle { 
  font-size: 14px;
  color: #666;
}

.single-service_locations .toggle:before,
.single-service_locations_es .toggle:before { content: "+"; margin-right: 3px; }

.single-service_locations .toggle.open:before,
.single-service_locations_es .toggle.open:before { content: "-"; margin-right: 3px; }

.single-service_locations .toggle:hover,
.single-service_locations_es .toggle:hover { cursor: pointer; }

.single-service_locations h1.entry-title,
.single-service_locations_es h1.entry-title {
  margin-top: 80px;
  margin-bottom: 40px;
}

.single-service_locations .box.alert,
.single-service_locations_es .box.alert {
  border: 1px solid #E20368;
  margin: 40px 0 20px 0;
  padding: 20px;
}

.single-service_locations h2,
.single-service_locations_es h2 { font-size: 2rem !important; }

.single-service_locations h3,
.single-service_locations_es h3 { font-size: 1.5rem !important; text-transform: uppercase; margin-bottom: 4px; }

.single-service_locations #contact-info i,
.single-service_locations_es #contact-info i { width: 32px; color: #696969; }

.single-service_locations .elementor-button-icon i,
.single-service_locations_es .elementor-button-icon i {color: white; }

.single-service_locations .footer-notes,
.single-service_locations_es .footer-notes { margin: 40px 0; color: #333333; font-style: italic; width: 100%; text-align: center; }

    /* facet styles */

      /* no results */
      .custom_results_text {
        padding: 20px;
        background-color: #fffdaf;
        margin-top: 30px;
      }

    #fwp-filters h3 { font-size: 1.25rem; font-weight: 600; margin-bottom: 8px;  line-height: 1.75rem; }

    .facetwp-facet-funded_services_1col .fs-option-label {
      font-size: 1rem;
      line-height: 1rem;
      }
      
      .facetwp-type-fselect .fs-option .fs-option-label {
        white-space: normal !important;
        word-break: keep-all;
        line-height: 1.5rem;
      }
      
      .fs-wrap.multiple .fs-checkbox {
        top: 18px !important;
        bottom: unset !important;
      }
      .facetwp-facet-funded_services {
        margin-bottom: 40px;
        column-count: 3; 
        break-inside: avoid-column;
      }
      
      .facetwp-selections ul {
        padding-left: 0;
      }
      
      .facetwp-counter { color: #666; }
      
      .facetwp-checkbox {
        background-position: 0 7px !important;
        margin-bottom: 8px !important; 
        line-height: 1.75rem !important;
        padding-left: 24px !important; 
      }
      
      .facetwp-selection-label {
        font-weight: bold;
      }
      
      .facetwp-selections .facetwp-selection-value {
        padding: 5px; background: #dedede; margin-bottom: 7px; padding-right: 25px !important; background-position: right 4px center !important;
      }
     
      
/* Custom Formidable Forms styles -- PKOL order form */

.frm_style_pkol.with_frm_style .frm_error_style{
  margin: 0 0 60px 0 !important;
  line-height: 1.5;
}

.frm_style_pkol.with_frm_style .frm_error{
  line-height: 1.5;
  margin-top: 5px;
}

.with_frm_style .frm_top_container .frm_primary_label{
  line-height: 1.4;
}

.frm_style_pkol.with_frm_style input{
  -webkit-appearance: none !important;
  appearance: none !important;
}

.frm_style_pkol.with_frm_style .form-field.pkol-selection-check input{
  display: none;
}

.frm_style_pkol.with_frm_style .form-field.pkol-selection-check label,
.frm_style_pkol.with_frm_style .form-field.pkol-selection-check .frm_error{
  text-align: center !important;
}

.frm_style_pkol .frm_image_option_container{
  border: none !important;
  box-shadow: none !important;
}

.frm_style_pkol .frm_form_field .frm_checkbox.frm_image_option{
  width: 100% !important;
}

@media screen and (max-width: 600px) {
  .frm_style_pkol .frm_form_field .frm_checkbox.frm_image_option{
    max-width: 250px;
  }
}

.frm_style_pkol input[type=checkbox] + .frm_image_option_container > img{
  border: 4px solid #dcdcdc;
}

@media screen and (min-width: 601px) {
  .frm_style_pkol input[type=checkbox] + .frm_image_option_container > img{
    height: auto;
  }
}

.frm_style_pkol input[type=checkbox]:checked + .frm_image_option_container > img{
  border: 4px solid #095ACA;
}

.frm_style_pkol .frm_image_option_container .frm_selected_checkmark{
  z-index: 1;
}

.frm_style_pkol input[type=checkbox] + .frm_image_option_container .frm_selected_checkmark{
  display: block !important;
}

.frm_style_pkol input[type=checkbox] + .frm_image_option_container .frm_selected_checkmark svg{
  fill: #dcdcdc;
}

.frm_style_pkol input[type=checkbox]:checked + .frm_image_option_container .frm_selected_checkmark svg{
  fill: #095ACA;
}

.frm_style_pkol.with_frm_style input.frm_date,
.frm_style_pkol.with_frm_style select{
  -webkit-appearance: none;
  appearance: none;
  background-image: url(https://pkol.wpengine.com/wp-content/uploads/2023/02/icon-select-arrow.svg);
  background-repeat: no-repeat;
  background-position: top 25px right 15px;
}

.frm_style_pkol.with_frm_style .pkol-order-optin .frm_checkbox{
  text-align: left;
}

.frm_style_pkol.with_frm_style .pkol-order-optin .frm_checkbox label{
  padding-left: 25px;
}

.frm_style_pkol.with_frm_style .pkol-order-optin .frm_checkbox label input{
  margin: 0 5px 0 -5px;
  border-radius: 3px;
  border: solid 1px #dcdcdc;
}

.frm_style_pkol.with_frm_style .pkol-order-optin .frm_checkbox label input:before{
  box-shadow: inset 10px 10px #095ACA !important;
}

.frm_style_pkol.with_frm_style .frm_section_heading .frm_other_container > input.frm_other_input{
  width: 100% !important;
  border-top: 1px solid #dcdcdc;
}

.frm_style_pkol.with_frm_style .frm_submit button.frm_prev_page{
  border: none;
  background: transparent !important;
  color: #095ACA !important;
  font-weight: 700 !important;
  text-decoration: underline;
}

.frm_style_pkol.with_frm_style .frm_submit button.frm_prev_page:hover{
  background: transparent !important;
  color: #095ACA !important; 
}

/* Custom WP GO Maps plugin styles -- Search and filter */

.wpgmza-standalone-component{
  background-color: #f6f6f8;
  padding: 10px 15px 20px 15px;
}

.wpgmza-store-locator{
  flex-wrap: wrap;
  width: 100%;
}

.wpgmza-standalone-component .wpgmza-store-locator > div{
  flex-direction: row !important;
  flex-wrap: wrap;
  justify-content: space-between;
}

.wpgmza-store-locator label{
  width: 100%;
  padding-bottom: 10px;
}

.wpgmza-store-locator input{
  width: 200px !important;
}

.wpgmza-address-container{
  width: 50%;
  margin-right: 15px;
}

@media screen and (max-width: 1023px) {

 /* resource finder */

  .fwpl-row.el-p4ce98 { /* formating of the listings columns */
      grid-template-columns: 1fr !important;
      gap: 20px; /* Adds space between the stacked columns */
  }

  /*
  #fwp-filters { display: none; }

  #fwp-filters .facetwp-flyout-open { display: block !important; } */
  
}

@media screen and (max-width: 767px) {

  /* resource finder */

  .fwpl-row.el-p4ce98 { /* formating of the listings columns */
      grid-template-columns: 1fr !important;
      gap: 20px; /* Adds space between the stacked columns */
  }

  .elementor-kit-7 .flyout-row h3 {
    font-size: 1.25rem;
  }

  .facetwp-flyout-open {
    width: 100%;
  }

  /* end resource finder */


  .wpgmza-address-container{
    width: 100%;
    margin-right: 0px;
    margin-bottom: 15px;
  }
}

.wpgmza-address-container input{
  flex-grow: 1;
}

.wpgmza-radius-container{
  width: 120px;
}

.wpgmza-standalone-component input:not([type="checkbox"]), .wpgmza-standalone-component select{
  margin-right: 0px !important;
  padding: 10px 20px !important;
  font-size: 16px !important;
  line-height: 20px !important;
}

.wpgmza-standalone-component select{
  height: 40px !important;
  appearance: none;
  background-image: url(https://pkol.wpengine.com/wp-content/uploads/2023/02/icon-select-arrow.svg);
  background-repeat: no-repeat;
  background-position: top 15px right 15px;
}

.wpgmza-store-locator > svg{
  margin-left: 15px !important;
  stroke: #FC1A80 !important;
}

.wpgmza-store-locator > svg:hover{
  stroke: white !important;
  background: #FC1A80 !important;
}

.wpgmza-store-locator button > svg{
  stroke: #FC1A80 !important;
}

.wpgmza-store-locator button > svg > circle,
.wpgmza-store-locator button > svg > line{
  stroke: #FC1A80 !important;
}

.wpgmza-store-locator button > svg > .circle_inner{
  fill: #FC1A80 !important;
}

.wpgmza-standalone-component .wpgmza-marker-listing-category-filter{
  display: flex;
  align-items: center;
  padding-top: 15px;
  flex-wrap: wrap;
}

.wpgmza-standalone-component .wpgmza-marker-listing-category-filter > label{
  margin-right: 13px;
  padding: 5px 0;
}

.wpgmza-standalone-component .wpgmza-marker-listing-category-filter.wpgmza-list ul{
  display: inline-flex;
  padding-left: 0px !important;
  margin-left: -13px;
  flex-wrap: wrap;
}

.wpgmza-standalone-component .wpgmza-marker-listing-category-filter.wpgmza-list ul li input{
  opacity: 0;
}

.wpgmza-standalone-component .wpgmza-marker-listing-category-filter.wpgmza-list ul li label{
  background-color: white;
  padding: 8px 16px;
  border-radius: 30px;
  cursor: pointer;
  margin: 5px 0;
}

.wpgmza-standalone-component .wpgmza-marker-listing-category-filter.wpgmza-list ul li input:checked + label{
  background-color: #E4076B;
  color: white;
  padding: 8px 30px 8px 16px;
  background-image: url(https://pkol.wpengine.com/wp-content/uploads/2023/02/icon-map-category-X.svg);
  background-repeat: no-repeat;
  background-position: top 11px right 12px;
}

/* Custom WP GO Maps plugin styles -- List results */

.wpgmza_map .wpgmza-inner-stack .grouping ~ .grouping-handle{
  background-color: #f6f6f8 !important;
  border-left: 1px solid #d6d6d8 !important;
}

.wpgmza_map .wpgmza-inner-stack > .grouping.visible{
  background-color: #f6f6f8 !important;
}

.wpgmza_map .wpgmza-inner-stack .wpgmza-panel-list-item{
  border-bottom: none !important;
  border-top: 1px solid #d6d6d8;
  padding: 15px 10px !important;
}

.wpgmza_map .wpgmza-inner-stack .wpgmza-panel-list-item:hover{
  background-color: white !important;
}

.wpgmza_map .wpgmza-inner-stack .wpgmza-panel-list-item .wpgmza-title,
.wpgmza_map .wpgmza-inner-stack .wpgmza-panel-list-item .wpgmza-address{
  line-height: 1.5;
}

/* Custom WP GO Maps plugin styles -- Info Window */

.wpgmza_map .wpgmza-inner-stack .wpgmza-panel-view .wpgmza-panel-actions{
  padding: 0 2px !important;
}

.wpgmza-panel-info-window > .wpgmza-panel-actions,
.wpgmza-panel-info-window > .wpgmza-gallery-container,
.wpgmza-panel-info-window > .wpgmza-title,
.wpgmza-panel-info-window > .wpgmza-address{
  background-color: #E4076B;
  margin: 0 !important;
  color: white;
}

.wpgmza-panel-actions svg.wpgmza-directions rect,
.wpgmza-panel-actions svg.wpgmza-close path,
.wpgmza-panel-info-window > .wpgmza-address svg path{
  fill: white !important;
}

.wpgmza-panel-info-window > .wpgmza-address svg circle{
  stroke: white !important;
}

.wpgmza-panel-actions svg.wpgmza-directions path{
  fill: #E4076B !important;
}

.wpgmza-panel-actions svg.wpgmza-directions path:first-of-type{
  stroke: #E4076B !important;
  fill: white !important;
}

.wpgmza_map .wpgmza-inner-stack .wpgmza-panel-info-window .wpgmza-title{
  padding: 15px 15px 0px 15px !important;
}

.wpgmza_map .wpgmza-inner-stack .wpgmza-panel-info-window .wpgmza-address{
  padding: 0px 15px 15px 15px !important;
  align-items: flex-start !important;
}

.wpgmza_map .wpgmza-inner-stack .wpgmza-panel-info-window .wpgmza-address > span{
  padding-top: 10px;
  line-height: 1.3;
}

.wpgmza_map .wpgmza-inner-stack .wpgmza-panel-info-window .wpgmza-description{
  padding: 0 !important;
}

.wpgmza_map .wpgmza-inner-stack .wpgmza-panel-info-window .wpgmza-description h2{
  background-color: white;
  font-size: 16px !important;
  line-height: 30px;
  font-weight: 700;
  padding: 10px 15px;
  margin-top: 0;
  color: #E4076B;
  letter-spacing: 0.3px;
}

.wpgmza_map .wpgmza-inner-stack .wpgmza-panel-info-window .wpgmza-description p{
  padding-left: 15px;
  padding-right: 15px;
  margin-bottom: 2rem !important;
  margin-top: 1rem !important;
}

/* Print styles */

@media print {

  .print-only {
    display: block;
  }

.fwpl-item.fwp-listing-post-title,.el-79d118 .fwpl-item {
    font-size: 16px !important;
    line-height: 25px !important;
}

.elementor-1019 .elementor-element.elementor-element-8e94913 .e-con-inner { padding: 100px 0 0 0 !important; margin: 0 !important;  }
.fwpl-row.el-p4ce98 { padding-bottom: 16px !important; }

 
.fwpl-row.el-p4ce98 {
    grid-template-columns: 100% 1fr !important; 
}

.rf-title h4 {
    font-size: 2rem !important;
    padding: 0 !important;
    margin: 0 !important;
    width: 100%;
    font-weight: 500;
    position: absolute;
    top: 0;
    left: 0;
  }

  .single-service_locations .fineprint,
  .single-service_locations_es .fineprint { display: block; }
  
  .print-only.print-city, .print-only.print-zip, .print-only.print-state {
    display: inline;
  }
  
  html , body,
  .page-id-1019 p, /* resource finder landing page */
  .page-id-1019 li  {  font-size: 16px;  }
  
  
  .elementor-widget-social-icons,
  .weglot-dropdown, 
  .donotprint,
  .facetwp-facet,
  .elementor-menu-toggle,
  .elementor-spacer-inner,  /* warning about empty address fields */
  .wpml-ls-statics-footer,
  .otgs-development-site-front-end
  { display: none!important; }
  
  a {word-wrap: break-word;}
  
  a:after { /*show urls after the link*/
  content: " (" attr(href) ")";
  font-size: 80%;
  font-weight: 400;
  text-decoration: none !important;
  }

/* header post*/
h1.elementor-heading-title {font-size: 3rem!important;}
h2.elementor-heading-title {font-size: 2rem!important;}



/* helpline block */
.elementor-element-2c32a29 .e-con-inner {
  padding-block-start:20px!important;
  padding-block-end:40px!important;
}
.elementor-element-2c32a29 .elementor-widget-container {
  margin:0!important;
}

#heymarket-widget, #heymarket-widget div { display: none !important; }

h1 { margin: 0; padding: 0; }

/* resource finder */


.single-service_locations #rf-title,
.single-service_locations_es #rf-title {
  margin-top: 40px;
}

.single-service_locations h1,
.single-service_locations_es h1 {
  font-size: 22px !important;
  margin: 0
  font-weight: normal;
}

.single-service_locations .elementor-widget-spacer,
.single-service_locations_es .elementor-widget-spacer {
  height: 0;
}
.single-service_locations .contact_info li,
.single-service_locations_es .contact_info li {
  margin-bottom: 0;
}

.single-service_locations h2,
.single-service_locations_es h2 {
  font-size: 16px !important;
}


.single-service_locations .alert, .single-service_locations,
.single-service_locations_es .alert, .single-service_locations_es {
  font-size: 14px !important;
}
    /* about this tool */
    .elementor-1019 .elementor-element.elementor-element-ca0a0be {display:flex!important;}
    .elementor-element-ca0a0be {flex-direction:column!important;}
    .elementor-icon-list-items li {font-size:11px!important;}

    /* fix weird page breaks */
      div {
    break-inside: auto !important;
    page-break-inside: auto !important;
    break-before: auto !important;
    page-break-before: auto !important;
    break-after: auto !important;
    page-break-after: auto !important;
  }

  /*
  * {
    margin: 0 !important;
    padding: 0 !important;
  }*/

  body, h1, h2, h3, h4, h5, h6 {
  margin: 0 !important;
}

p {
  margin: 0 0 20px 0 !important;
}



  h1 {
    padding: 30px 0 20px 0 !important;
    line-height: 40px !important;
  }

  h2, h3 { padding: 20px 0 10px 0 !important; }

  /* Optional: Avoid forcing big wrappers to break */
  .wp-block-group,
  .wp-block-columns,
  .content-wrapper,
  .entry-content {
    break-inside: auto !important;
    page-break-inside: auto !important;
  }

  .elementor-icon-list-text { font-size: 16px !important; line-height: 30px !important; width: 100% !important; padding: 10px 20px !important; width: 100% !important; }

   .print-one-column {
    flex-direction: column !important;
    display: flex !important;
  }

  .print-one-column > * {
    width: 100% !important;
    max-width: 100% !important;
    box-sizing: border-box;
  }
p { margin-bottom: 20px !important; }

.print-banner {
    position: static !important;
    clear: both;
    float: none !important;
    display: block !important;
    width: 100% !important;
    margin: 2em 0 !important;
    z-index: auto !important;
  }
  footer, .elementor-location-footer {
    position: static !important;
    clear: both;
  }

   .fwp-results-list, 
  footer,
  .elementor-location-footer {
    break-inside: avoid;
    page-break-inside: avoid;
  }

  .fwp-results-list {
    break-after: avoid;
    page-break-after: avoid;
  }

 footer,
  .elementor-location-footer {
    break-before: always;
    page-break-before: always;
  }


}